org.mariadb.jdbc.internal.com.read.resultset.rowprotocol

## Class RowProtocol

- java.lang.Object
- - org.mariadb.jdbc.internal.com.read.resultset.rowprotocol.RowProtocol

Direct Known Subclasses:
  BinaryRowProtocol, TextRowProtocol

    public abstract class RowProtocol
    extends Object

### Field Summary

Fields
`byte[]` `buf`
`protected int` `index`
`int` `length`
`int` `maxFieldSize`
`protected static int` `NULL_LENGTH`
`int` `pos`

### Constructor Summary

Constructors
Constructor and Description
`RowProtocol(int maxFieldSize)`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`int` `getLengthMaxFieldSize()`
`int` `getMaxFieldSize()`
`void` `resetRow(byte[] buf)`
`abstract boolean` `setPosition(int position)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### NULL_LENGTH

    protected static final int NULL_LENGTH

See Also:
  Constant Field Values

#### buf

    public byte[] buf

#### pos

    public int pos

#### length

    public int length

#### maxFieldSize

    public int maxFieldSize

#### index

    protected int index

### Constructor Detail

#### RowProtocol

    public RowProtocol(int maxFieldSize)

### Method Detail

#### resetRow

    public void resetRow(byte[] buf)

#### setPosition

    public abstract boolean setPosition(int position)

#### getLengthMaxFieldSize

    public int getLengthMaxFieldSize()

#### getMaxFieldSize

    public int getMaxFieldSize()